Commit 3cda109c authored by Kroese's avatar Kroese Committed by GitHub
Browse files

Extraction

parent 6e36569b
Loading
Loading
Loading
Loading
+3 −3
Original line number Diff line number Diff line
@@ -69,10 +69,10 @@ if [ ! -f "${RDC}" ]; then
fi

{ xz -dc <"$RDC" >"$TMP/rd" 2>/dev/null; rc=$?; } || :
(( rc != 0 )) && error "Failed to extract $RDC" && exit 91
(( rc > 1 )) && error "Failed to unxz $RDC, reason $rc" && exit 91

{ (cd "$TMP" && cpio -idm <"$TMP/rd" 2>/dev/null); rc=$?; } || :
(( rc != 0 )) && error "Failed to cpio $RDC" && exit 92
(( rc != 0 )) && error "Failed to cpio $RDC, reason $rc" && exit 92

mkdir -p /run/extract
for file in $TMP/usr/lib/libcurl.so.4 \